Bug 159744 - journal_dirty_data() causes system to crash
journal_dirty_data() causes system to crash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-07 14:23 EDT by Declan McArdle
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 17:16:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Declan McArdle 2005-06-07 14:23:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Was burning a CD and extracting an archive at the same time.  Came back and got this on the shell I was using:

localhost kernel: Assertion failure in journal_dirty_data() at fs/jbd/transaction.c:984: "jh->b_transaction== journal->j_committing_transaction"

/var/log/messages extract is below.



Version-Release number of selected component (if applicable):
kernel-2.6.11-1.27_FC3

How reproducible:
Didn't try


Additional info:

Jun  7 19:05:46 localhost kernel: ------------[ cut here ]------------
Jun  7 19:05:46 localhost kernel: kernel BUG at fs/jbd/transaction.c:984!
Jun  7 19:05:46 localhost kernel: invalid operand: 0000 [#1]
Jun  7 19:05:46 localhost kernel: Modules linked in: sd_mod usb_storage scsi_mod snd_es1938 snd_opl3_lib snd_hwdep gameportsnd_mpu401_uart snd_rawmidi snd_seq_device kernelcapi nls_utf8 vfat fat loop hci_usb bluetooth parport_pc lp parport autofs4 sunrpc video button battery ac md5 ipv6 ohci_hcd i2c_sis96x i2c_core snd_intel8x0m snd_intel8x0 snd_ac97_codec snd_pcm_osssnd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc 3c59x mii floppy ext3 jbd dm_mod
Jun  7 19:05:46 localhost kernel: CPU:    0
Jun  7 19:05:46 localhost kernel: EIP:    0060:[<f8871296>]    Not tainted VLI
Jun  7 19:05:46 localhost kernel: EFLAGS: 00010282   (2.6.11-1.27_FC3)
Jun  7 19:05:46 localhost kernel: EIP is at journal_dirty_data+0xd6/0x45d [jbd]
Jun  7 19:05:46 localhost kernel: eax: 00000083   ebx: e6d9fbdc   ecx: c03b08b8   edx: c03b08b8
Jun  7 19:05:46 localhost kernel: esi: f7bb5000   edi: d528a2b8   ebp: eae5b17c   esp: c1904cc0
Jun  7 19:05:46 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jun  7 19:05:46 localhost kernel: Process pdflush (pid: 153, threadinfo=c1904000 task=c192d670)
Jun  7 19:05:46 localhost kernel: Stack: f887d07c f887c6dd f887ca6e 000003d8 f887d250 c01782a9 ec4fe160 d528a2b8
Jun  7 19:05:46 localhost kernel:        00000000 00000800 d528a2b8 e6d9fbdc e6d9f1e8 f88b121f d3b44d88 00000000
Jun  7 19:05:46 localhost kernel:        00000800 00000800 e6d9ff84 f88b108e 00000000 00000400 00000000 d528a2b8
Jun  7 19:05:46 localhost kernel: Call Trace:
Jun  7 19:05:46 localhost kernel:  [<c01782a9>] __block_write_full_page+0x22d/0x310
Jun  7 19:05:46 localhost kernel:  [<f88b121f>] ext3_journal_dirty_data+0xf/0x3c [ext3]
Jun  7 19:05:46 localhost kernel:  [<f88b108e>] walk_page_buffers+0x82/0x99 [ext3]
Jun  7 20:06:47 localhost syslogd 1.4.1: restart.
Comment 1 Dave Jones 2005-07-15 13:38:49 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Declan McArdle 2005-08-24 11:52:37 EDT
Updated to FC4 and problem hasn't re-occurred.  You can probably close this
unless someone else has the same problem...
Comment 3 Dave Jones 2006-01-16 17:11:55 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 4 Dave Jones 2006-02-03 00:13:01 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 17:16:59 EDT
Closing due to previous comments.  Original reporter can't
reproduce on FC4.

Note You need to log in before you can comment on or make changes to this bug.